digiKam Developer Documentation: Digikam::DNNFaceDetectorYuNet Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
Digikam::DNNFaceDetectorYuNet Class Reference
Inheritance diagram for Digikam::DNNFaceDetectorYuNet:

## Public Member Functions
void | detectFaces (const cv::Mat &inputImage, const cv::Size &paddedSize, std::vector< cv::Rect > &detectedBboxes) override
bool | loadModels ()
virtual void | setFaceDetectionSize (FaceScanSettings::FaceDetectionSize faceSize) override
Public Member Functions inherited from Digikam::DNNFaceDetectorBase
| DNNFaceDetectorBase (float scale, const cv::Scalar &val, const cv::Size &inputImgSize)
cv::Size | nnInputSizeRequired () const

## Protected Member Functions
cv::Mat | callModel (const cv::Mat &inputImage)
cv::UMat | callModel (const cv::UMat &inputImage)
std::vector< cv::String > | getOutputsNames () const
Protected Member Functions inherited from Digikam::DNNFaceDetectorBase
void | correctBbox (cv::Rect &bbox, const cv::Size &paddedSize) const
void | selectBbox (const cv::Size &paddedSize, float confidence, int left, int right, int top, int bottom, std::vector< float > &goodConfidences, std::vector< cv::Rect > &goodBoxes, std::vector< float > &doubtConfidences, std::vector< cv::Rect > &doubtBoxes) const

## Friends
class | FacePipelineDetectRecognize

## Additional Inherited Members
Static Public Attributes inherited from Digikam::DNNFaceDetectorBase
static float | nmsThreshold = 0.4F
| Threshold for nms suppression.
static int | uiConfidenceThreshold = DNN_MODEL_THRESHOLD_NOT_SET
| Threshold for bbox detection. It can be init and changed in the GUI.
Protected Attributes inherited from Digikam::DNNFaceDetectorBase
cv::Size | inputImageSize = cv::Size(300, 300)
cv::Scalar | meanValToSubtract = cv::Scalar(0.0, 0.0, 0.0)
DNNModelBase * | model = nullptr
float | scaleFactor = 1.0F

## Member Function Documentation

## ◆ detectFaces()

void Digikam::DNNFaceDetectorYuNet::detectFaces | ( | const cv::Mat & | inputImage,
|  | const cv::Size & | paddedSize,
|  | std::vector< cv::Rect > & | detectedBboxes
| ) |  |
| overridevirtual

Implements Digikam::DNNFaceDetectorBase.

## ◆ setFaceDetectionSize()

void Digikam::DNNFaceDetectorYuNet::setFaceDetectionSize | ( | FaceScanSettings::FaceDetectionSize | faceSize | ) |
| overridevirtual

Reimplemented from Digikam::DNNFaceDetectorBase.